package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.QpUsegasApply;
import com.zd.airbottle.domain.vo.QpUsegasApplyExcelVo;
import com.zd.airbottle.domain.vo.QpUsegasApplyVO;

/**
 * 用气申请Mapper接口
 * 
 * @author zd
 * @date 2022-05-10
 */
public interface QpUsegasApplyMapper 
{
    /**
     * 查询用气申请
     * 
     * @param id 用气申请主键
     * @return 用气申请
     */
    public QpUsegasApplyVO selectQpUsegasApplyById(Long id);

    /**
     * 查询用气申请列表
     * 
     * @param qpUsegasApply 用气申请
     * @return 用气申请集合
     */
    public List<QpUsegasApplyVO> selectQpUsegasApplyList(QpUsegasApplyVO qpUsegasApply);

    /**
     * 新增用气申请
     * 
     * @param qpUsegasApply 用气申请
     * @return 结果
     */
    public int insertQpUsegasApply(QpUsegasApply qpUsegasApply);

    /**
     * 修改用气申请
     * 
     * @param qpUsegasApply 用气申请
     * @return 结果
     */
    public int updateQpUsegasApply(QpUsegasApply qpUsegasApply);

    /**
     * 删除用气申请
     * 
     * @param id 用气申请主键
     * @return 结果
     */
    public int deleteQpUsegasApplyById(Long id);

    /**
     * 批量删除用气申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQpUsegasApplyByIds(Long[] ids);

    /***
     * 重新申请
     * @param qpUsegasApply
     * @return
     */
    public int updateQpUsegasApplyRepeat(QpUsegasApply qpUsegasApply);

    /**
     * 用气申请导出
     * @param qpUsegasApply
     * @return
     */
    public List<QpUsegasApplyExcelVo> qpUsegasApplyExportExcel(QpUsegasApply qpUsegasApply);
}
